rem  * *******************************************************************
rem  *               ALTINCEZ.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * It is the callers reponsibility to set the following environment
rem  * variable prior to calling the command.
rem  * 1. DIRGET   - point to the base directory. This procedure uses
rem  *               various sub-directories under the base directory.
rem  * 2. DIRPUT   - point to the target directory.
rem  *
rem  * The following parameters are received from the a command file.
rem  * Parameter  Description
rem  * ---------  --------------------------------------------------------
rem  *    1.      Name of source member
rem  * *******************************************************************
     set CmdStatus=0000
     set COBOLGET=%DIRGET%\%1
     set COBOLPUT=%DIRPUT%\%1
     run ALTINCC1
     if not "%ERRORLEVEL%" == "0" set CmdStatus=0010
     if not "%CmdStatus%" == "0000" goto EOJNOK
rem  * *******************************************************************
:EOJAOK
     set /A AOK_Count=%AOK_Count% + 1
     call SIMONOTE "Complete ALTINCEZ, RC=%Compile2GNTStatus%, PGM=%1"
     goto :End
rem  *
rem  * *******************************************************************
:EOJNOK
     set JobStatus=0016
     set /A NOK_Count=%NOK_Count% + 1
     call SIMONOTE "ABENDING ALTINCEZ, RC=%CmdStatus%, PGM=%1, !!!ABENDING!!!"
     echo %1 - Error during Conversion, refer to %BaseLib1%\LOGS Directory>%BaseLib1%\LOGS\%1.ERR
     goto :End
rem  *
rem  * *******************************************************************
:End
